org.eclipse.gef.dot.internal.ui.language

## Class DotPortPosUiModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.ui.DefaultUiModule
    - - org.eclipse.gef.dot.internal.ui.language.AbstractDotPortPosUiModule
      - - org.eclipse.gef.dot.internal.ui.language.DotPortPosUiModule

All Implemented Interfaces:
  com.google.inject.Module

    public class DotPortPosUiModule
    extends AbstractDotPortPosUiModule

Use this class to register components to be used within the IDE.

### Constructor Summary

Constructors
Constructor and Description
`DotPortPosUiModule(AbstractUIPlugin plugin)`

### Method Summary

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.AbstractDotPortPosUiModule

`bindContentAssistContext$Factory, bindIContentAssistParser, bindIContentProposalProvider, bindIProposalConflictHelper, configureContentAssistLexer, configureContentAssistLexerProvider, configureHighlightingLexer, configureHighlightingTokenDefProvider, provideIAllContainersState`

### Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

`bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindILabelProvider, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindISingleLineCommentHelper, bindIssueResolutionProvider, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindITraceURIConverter, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureResourceUIServiceLabelProvider, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

`bindProperties, getBindings, tryBindProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotPortPosUiModule

    public DotPortPosUiModule(AbstractUIPlugin plugin)